Applications 19.08 release
Closed, ResolvedPublic

Description

Timeline

  • Thursday, July 18, 2019: KDE Applications 19.08 Freeze and Beta (19.07.80) tag & release
  • Thursday, August 1, 2019: KDE Applications 19.08 RC (19.07.90) Tagging and Release
  • Thursday, August 8, 2019: KDE Applications 19.08 Tagging
  • Thursday, August 15, 2019: KDE Applications 19.08 Release
    1. What we need
  • Devs write descriptions of new features and bugfixes in https://notes.kde.org/p/applications_19.08_new_features - done by July 28th
  • Announcement text - deliver on August 1, 2019 (?) << @cfeck
  • Announcement text is online and ready for translators August 8, 2019 @ognarb
  • Dot story - deliver on August 7, 2019
  • Video
    • Teasers ?
    • Main - deliver on August 10, 2019
  • Social media posts - deliver on August 13, 2019
  • Update wikipedia version @ognarb
  • ... (What am I missing?)
paulb created this task.Jul 16 2019, 4:09 PM
paulb triaged this task as High priority.
paulb updated the task description. (Show Details)Jul 16 2019, 4:25 PM

Generally we collect the unpolished notes in an etherpad document, and then Promo folks translate the information there into a nice announcement.

paulb added a comment.Jul 16 2019, 5:52 PM

Generally we collect the unpolished notes in an etherpad document, and then Promo folks translate the information there into a nice announcement.

Yes. That is what Promo has to wait for before doing anything from that list. When it is out I guess you can just post it to the discussion rooms or, even better, here, in the task description.

ognarb updated the task description. (Show Details)Jul 17 2019, 8:11 AM

Will do!

Any progress with this? Deadlines are drawing near.

I haven't seen an etherpad for collecting notes yet. Looks like @cfeck may be very busy right now. I've opened up https://notes.kde.org/p/applications_19.08_new_features and will populate it with data for the apps I keep track of and reach out to other devs to add their own info.

ngraham updated the task description. (Show Details)Jul 25 2019, 1:42 PM
cfeck added a comment.Jul 25 2019, 3:27 PM

Oh, I wasn't aware that it wasn't created already.

No worries, I made it. Would you like to send the email asking people to add their stuff to it, or would you like me to do that?

paulb added a comment.Jul 25 2019, 3:34 PM

I'll start working on the intro text without getting into specifics and leaving stuff blank we can fill in later.

I've done a first pass on https://notes.kde.org/p/applications_19.08_new_features and sent around emails to people asking them to add more. In the worst-case scenario that what's currently in there is all we get, I think there are still enough juicy goodies for a beefy release announcement (can something be both juicy and beefy)?

ngraham updated the task description. (Show Details)Aug 2 2019, 12:11 PM
paulb added a comment.Aug 2 2019, 1:29 PM

I've done a first pass on https://notes.kde.org/p/applications_19.08_new_features and sent around emails to people asking them to add more. In the worst-case scenario that what's currently in there is all we get, I think there are still enough juicy goodies for a beefy release announcement (can something be both juicy and beefy)?

Juicy beef?

I have written the intro and uploaded it to the pad @skadinna and I are gradually working through the list of changes and transforming them into paragraphs, trimming off stuff that is, let's say, less exciting (like the smaller bug fixes). You can follow progress of that on this pad. I don't recommend touching anything there yet, because it is very rough drafts what we are working with and we may be working on sections of text offline. I hope to finish it over the weekend.

This got delayed because I have been drafted into organising promo for the Linux App Summit and that has eaten up a large chunk of my time over the last three days.

paulb updated the task description. (Show Details)Aug 7 2019, 3:59 PM
ognarb added a comment.Aug 8 2019, 2:41 PM

If this is ok, I would like to push D22991, so that the translators can start translating.

If some changes in the layout are needed, they can still be done before the deadline 15 August

paulb added a comment.Aug 8 2019, 3:58 PM

What do you need to push this, @ognarb ? because we need this asap.

ognarb added a comment.Aug 8 2019, 4:00 PM

Just the approval from someone ;)

paulb added a comment.Aug 8 2019, 4:04 PM

Just the approval from someone ;)

Go for it then

ognarb updated the task description. (Show Details)Aug 8 2019, 4:32 PM
ognarb updated the task description. (Show Details)
cfeck added a comment.EditedAug 8 2019, 7:06 PM

Thanks for working on it, I will add it to the translation bot in a bit. EDIT: Albert already did.

A couple of notes:

  • Is MP4 the right format we want to promote? Even if we are allowed to distribute MP4 files without paying royalities, we shouldn't. There are royality-free alternatives.
  • The caption's leading "Screenshot of " could be ommitted, and some genitive-S might need to be added ("Gwenview's new 'Share' menu" etc.), but please ask some native speaker.
  • Please add links from application names to applications.kde.org (see previous announcements).
  • The KMail grammar screenshot looks confusing, because there is no UI visible, just the text, which mixes visually with the main text.
  • Is MP4 the right format we want to promote? Even if we are allowed to distribute MP4 files without paying royalities, we shouldn't. There are royality-free alternatives.
  • The caption's leading "Screenshot of " could be ommitted, and some genitive-S might need to be added ("Gwenview's new 'Share' menu" etc.), but please ask some native speaker.
  • Please add links from application names to applications.kde.org (see previous announcements).
  • The KMail grammar screenshot looks confusing, because there is no UI visible, just the text, which mixes visually with the main text.

+1 to all, and sorry for not reviewing before.

paulb added a comment.Aug 8 2019, 7:15 PM

Thanks for working on it, I will add it to the translation bot in a bit.

A couple of notes:

  • Is MP4 the right format we want to promote? Even if we are allowed to distribute MP4 files without paying royalities, we shouldn't. There are royality-free alternatives.

Where is the mention of MP4? We'll look for an alternative

  • The caption's leading "Screenshot of " could be ommitted, and some genitive-S might need to be added ("Gwenview's new 'Share' menu" etc.), but please ask some native speaker.

Okay. Reviewing.

  • Please add links from application names to applications.kde.org (see previous announcements).

Yes. We were about to do that.

  • The KMail grammar screenshot looks confusing, because there is no UI visible, just the text, which mixes visually with the main text.

Yes, we are changing it.

cfeck added a comment.Aug 8 2019, 7:19 PM

Where is the mention of MP4? We'll look for an alternative

There are two inline videos, which are in MP4 format.

Yep, and they should be .webm instead.

ognarb added a comment.Aug 8 2019, 7:25 PM

I will convert the video to webm and add a mp4 as fallback for the ios users.
For the caption, i wanted to share the same content for the alt and the caption. The alt text should be more descriptive and is intended for screen reader so I think adding Screenshot of in the alt text is useful .

cfeck added a comment.Aug 8 2019, 7:33 PM

Unless I see a confirmation from our legal team, I will remove MP4 files from the www server tomorrow.

paulb added a comment.Aug 8 2019, 7:39 PM

Where is the mention of MP4? We'll look for an alternative

There are two inline videos, which are in MP4 format.

I was looking in the wrong place.

I will remove MP4 files from the www server tomorrow.

@ognarb already said he would change them.

ognarb added a comment.Aug 8 2019, 8:36 PM

I replaced all mp4 and png files with webm and webp.

PNG is probably fine for images FWIW. :) No objection to converting them though.

paulb added a comment.Aug 8 2019, 9:38 PM
  • Is MP4 the right format we want to promote? Even if we are allowed to distribute MP4 files without paying royalities, we shouldn't. There are royality-free alternatives.

We checked and it turns out that x264/mp4 is licensed under GPLv2. As WebM and OGV do not work on all browsers (for example, Safari) we were wondering if you would be okay if we went back to MP4, as it poses no legal risk.

  • Is MP4 the right format we want to promote? Even if we are allowed to distribute MP4 files without paying royalities, we shouldn't. There are royality-free alternatives.

We checked and it turns out that x264/mp4 is licensed under GPLv2.

That's just a piece of software used for encoding video in the file format. For the licensing/patent status of the video format itself, see https://en.wikipedia.org/wiki/H.264/MPEG-4_AVC#Licensing. As far as I can tell the patent itself expired in 2018 but I'm no legal expert.

  • Is MP4 the right format we want to promote? Even if we are allowed to distribute MP4 files without paying royalities, we shouldn't. There are royality-free alternatives.

We checked and it turns out that x264/mp4 is licensed under GPLv2. As WebM and OGV do not work on all browsers (for example, Safari) we were wondering if you would be okay if we went back to MP4, as it poses no legal risk.

The license of the encoder and the patent which may cover the format itself are two different issues.

paulb added a comment.EditedAug 8 2019, 11:42 PM
  • Is MP4 the right format we want to promote? Even if we are allowed to distribute MP4 files without paying royalities, we shouldn't. There are royality-free alternatives.

We checked and it turns out that x264/mp4 is licensed under GPLv2.

That's just a piece of software used for encoding video in the file format. For the licensing/patent status of the video format itself, see https://en.wikipedia.org/wiki/H.264/MPEG-4_AVC#Licensing. As far as I can tell the patent itself expired in 2018 but I'm no legal expert.

Would this work?: Upload WebM videos to our PeerTube account. Then embed the PeerTube iframe in the Announcement. I don't have an Apple computer so can't try it. But what do you think?

ognarb added a comment.EditedAug 10 2019, 1:49 PM

The issue with the video is now solved: we use webm per default and in case the browser doesn't support webm we create a Peertube iframe with the video.

paulb updated the task description. (Show Details)Aug 11 2019, 5:52 PM
paulb updated the task description. (Show Details)Aug 14 2019, 4:54 PM

@cfeck do you know what time you will release Applications 19.08 tomorrow?

Expect me around 11:00 UTC to start preparing the release. Let's meet in kde-promo IRC.

I counted 174 recorded bug fixes, in case you need this number outside of the www text.

Expect me around 11:00 UTC to start preparing the release. Let's meet in kde-promo IRC.

Around 1pm CEST. ok.

I counted 174 recorded bug fixes, in case you need this number outside of the www text.

Okay. Sending patch for text now.

ognarb updated the task description. (Show Details)Aug 15 2019, 4:59 PM
paulb closed this task as Resolved.Mon, Sep 2, 7:54 AM